Contact

Form Fields

GET/api/v1/contacts/fields

This endpoint allows you to get available contact fields including the custom fields you have created.

Request

Authorization

Bearer Token

Provide your API token in the Authorization header. See Authentication to issue one.

Example:Authorization: Bearer ********************

Responses

200

OK

  • totalintegerrequired
  • pageintegerrequired
  • pageSizeintegerrequired
  • lastPageintegerrequired
  • dataarray[object]required
    Child attributes
    • idstringoptional
    • system_namestringoptional
    • display_namestringoptional
    • typestringoptional
    • is_defaultbooleanoptional
    • is_archivedbooleanoptional
    • is_requiredbooleanoptional
    • is_uniquebooleanoptional
    • optionsarray[object]optional
      Child attributes
      • valuestringrequired
      • labelstringrequired
      • is_defaultbooleanrequired